1394 Asynchronous and Isochronous Loopback test

This test verifies that a host controller is able to successfully send and receive all arrangements of asynchronous and isochronous data.

The asynchronous test requires allocation of asynchronous address space on one host controller, while the other host controller issues asynchronous reads, writes, and locks repeatedly, to verify the contents of the data region each time. The test issues transactions to both Quadlet-aligned and Byte-aligned 1394 addresses. Also, both Quadlet requests and Block requests are utilized. The test operates both above and below the FFFF:00000000 asynchronous address space region.

The isochronous test requires one host controller to issue isochronous "talks," while the other controller issues isochronous "listens" and also verifies the incoming data. The test verifies that the host controllers can receive and send data on all channels. It specifies different values for the Sy and Tag fields and ensures the data stream can be synchronized to those values. The test sends variable length data, while ensuring there is no data lost by the listening node. The talking node uses Header, Scatter, and Gather features to send data, again ensuring that the listening node correctly receives all sent data.

The first time this test is run, the Found New Hardware Wizard will prompt users to install a virtual driver. The virtual driver is located in the HCT folder on the test system.

Run time: 15 minutes

Log file name: loopback.log

Operating system: Windows® XP Professional

Test assertions: Chapter 19: IEEE 1394 Test Specification

Hardware requirements

  • Two identical IEEE 1394 host controllers (only one IEEE 1394 host controller is required for Mobile System testing)
  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 300 MHz microprocessor
  • 256 MB of RAM (only 128 MB of RAM is required for Mobile System testing)
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One FoxFire II PCI adapter (not required for Mobile System testing)
  • One IEEE 1394 cable, approximately 6 to 12 inches long

Important: All hardware must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links


1394 Configuration ROM test

This test examines the Configuration ROM of every device attached to the system's initial IEEE 1394 bus, as well as the Configuration ROM of the IEEE 1394 host controller. The test also verifies that all Configuration ROMs adhere to the IEEE-1212r-2000 and IEEE-1394 standards.

The first time this test is run, the Found New Hardware Wizard will prompt users to install a virtual driver. The virtual driver is located in the HCT folder on the test system.

Run time: 1 minute

Log file name: Configrom.log

Operating system: Windows® XP Professional

Test assertions: Chapter 19: IEEE 1394 Test Specification

Hardware requirements

  • One IEEE 1394 host controller
  • Two additional IEEE 1394 devices
  • One Intel Pentium, or equivalent, test system with the following:
  • 300 MHz microprocessor
  • 256 MB of RAM (only 128 MB of RAM is required for Mobile System testing)
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Two IEEE 1394 cables
  • One FoxFire II PCI adapter (not required for Mobile System testing)

Important: All hardware must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links


1394 Interoperability test

This test verifies that typical IEEE 1394 devices on a system will work correctly. It initially scans all the devices on the system to confirm that a SBP-2 hard disk drive and a IEEE 1394 conferencing camera are installed.

After this has been verified, the test creates and destroys files and directories on the hard disk drive, and previews video from the IEEE 1394 conferencing camera. Both devices must function successfully for the test to pass.

Run time: 15 minutes

Log file name: interop.log

Operating system: Windows® XP Professional

Test assertions: Chapter 19: IEEE 1394 Test Specification

Hardware requirements

  • One IEEE 1394 host controller
  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 300 MHz microprocessor
  • 256 MB of RAM (only 128 MB of RAM is required for Mobile System testing)
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One IEEE 1394 digital camera
  • One IEEE 1394 hard disk drive
  • Two IEEE 1394 cables
  • One powered IEEE 1394 repeater (required only for mobile system testing)
  • One FoxFire II PCI adapter (not required for Mobile System testing)

Important: All hardware must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links


CardBus Bridge Power Management Register test

This test searches the CardBus Bridge/Card configuration space for each of the CardBus device functions and verifies that the power management registers have been implemented correctly.

The CardBus Bridge Power Management Register test accesses the CardBus Bridge PCI configuration space through the Windows® PCI driver interface.

Run time: Less than one minute

Log file name: Cbpmreg.log

Operating system: Windows XP Professional

Test assertion: Chapter 14

Related links

Running the CardBus Bridge Power Management Register test


CardBus Bridge Register test

This test determines whether the CardBus bridges support all registers specified in the PCI to PCMCIA CardBus Bridge Register Description standard (Yenta Specification). It also verifies that all reserved fields in the CardBus bridge configuration space register a return value of 0 when read. Write operations on reserved fields must have no effect.

Additionally, the test verifies that read-only bits/fields in the CardBus bridge registers are in fact only readable.

Run time: Less than one minute

Log file name: Cbbridge.log

Operating system: Windows® XP Professional

Test assertion: Chapter 14

Related links

Running the CardBus Bridge Register test


CardBus Card Common Silicon Guidelines test

This test determines whether the CardBus card’s configuration space supports Common Silicon Guidelines as described in PC Card Standard Guidelines, Volume 10.

This test verifies that the CardBus cards implement the following allocated fields in the configuration space:

  • PCI SIG-assigned vendor ID (Vendor ID)
  • Vendor-assigned device ID (Device ID)
  • Vendor-assigned revision ID (Revision ID)
  • CardBus card device class (Class Code)
  • Latency timer setting (Max_Lat)
  • Time-slice request setting (Min_Gnt)
  • Current IRQ routing for the CardBus card device (Interrupt Line)

Run time: Less than one minute

Log file name: Cbcomsig.log

Operating system: Windows® XP Professional

Test assertion: Chapter 14

Related links

Running the CardBus Card Common Silicon Guidelines test


CardBus Card Configuration Space Register test

This test determines whether the CardBus card’s configuration space support registers are implemented correctly. Specifically, this test program validates the CardBus CIS Pointer register. CardBus cards must include a separate CIS for each function within the card. Each CIS provides a method for function-specific software such as the client drivers to determine the type of function and configuration options for a given function.

The CardBus Card Configuration Space Register test verifies the CardBus card’s CIS Pointer register field functionality. In addition, the program verifies that all unimplemented registers in CardBus card configuration space return all 0s when read.

After the system restarts and opens the Windows® operating system, the test accesses the CardBus card configuration space to verify the support for the CIS register fields. The test accesses CardBus card’s configuration space through the PCI driver interface.

Run time: Less than a minute

Log file name: Cbcreg.log

Operating system: Windows® XP Professional

Test assertion: Chapter 14

Related links

Running the CardBus Card Configuration Space Register test


CardBus/PCMCIA tests

The following list is a summary of tests available for CardBus/PCMCIA-capable systems and devices, and can be run in any order. Your system or device may not require all of these tests. Run only the CardBus/PCMCIA tests that are listed in Test Manager for your test system or device.

Note: Test Manager automatically detects if the system is using a 32-bit or 64-bit platform and lists required tests.

  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • CardBus Card Common Silicon Guidelines
  • CardBus Card Configuration Space Register Test


IEEE 1394 tests

The following list is a summary of tests available for IEEE 1394-capable systems and devices, and can be run in any order. Your system or device may not require all of these tests. Run only the IEEE 1394 tests that are listed in Test Manager for your test system or device.

Note: Test Manager automatically detects if the system is using a 32-bit or 64-bit platform and lists required tests.

  • 1394 Asynchronous and Isochronous Loopback
  • 1394 Configuration ROM
  • 1394 Interoperability


LAN Device Wake Up test

The LAN device wake up test verifies that the test system supports the wake up command while the test system is in the S3 state.

Run time: 10 minutes

Log file name: wakedevs.log (wakesrv.log for the server version of this test)

Operating system: Windows XP Professional

Test assertion: Chapter 4

Related links

Running the LAN Device Wake Up test


Large Memory/PAE - Phase 1 test

This test verifies that the driver associated with the device being tested functions acceptably with memory addresses greater than 4 GB when implemented with the Upper Address Extensions (UAE) switch enabled through changes made in the boot.ini.

Although the Large Memory tests can be run at any stage of a testing sequence, these three tests should be run consecutively, with the Large Memory/PAE - System Reset test run last.

PAE allows the most recent IA-32 processors to expand the number of bits that can be used to address physical memory from 32 bits to 36 bits through support in the host operating system for applications using the Address Windowing Extensions (AWE) API.

Greater than 4 GB address space (large memory): The physical memory above 4 GB on IA-32 platforms that can be addressed by applications using the AWE APIs. Applications that do not use AWE APIs can also benefit from the larger physical memory used by PAE under Windows XP Advanced Server and Datacenter Server by using the larger physical memory to reduce paging.

Run time: 4 hours

Log file name: Ndistest.log

Operating system: Windows® Whistler Advanced Server or Windows® Whistler DataCenter Server

Windows logo requirements: B2.5.1.7, "Correct PCI implementations" specifically "Adapters address full physical address space on a 64-bit platform".

Related links

Running the Large Memory/PAE - Phase 1 test


Large Memory/PAE - Phase 2 test

This test verifies that the driver associated with the device being tested functions acceptably with memory addresses greater than 4 GB when implemented with the Upper Address Extensions (UAE) switch enabled through changes made in the boot.ini.

Although the Large Memory tests can be run at any stage of a testing sequence, these three tests should be run consecutively, with the Large Memory/PAE - System Reset test run last.

Run time: 4 hours

Log file name: Ndistest.log

Operating system: Windows® Whistler Advanced Server or Windows® Whistler DataCenter Server

Windows logo requirements: B2.5.1.7, "Correct PCI implementations" specifically "Adapters address full physical address space on a 64-bit platform".

Related links

Running the Large Memory/PAE - Phase 2 test


Large Memory/PAE - System Reset test

This test verifies that the driver associated with the device being tested functions acceptably with memory addresses greater than 4 GB. During the test the boot.ini is modified with the addition of the /PAE and /nolomem switches, then the system is restarted. When the system restarts, it opens the NDIS test.

Although the Large Memory tests can be run at any stage of a testing sequence, these three tests should be run consecutively, with the Large Memory/PAE - System Reset test run last.

Run time: 10 minutes

Log file name: lmec.log

Operating system: Windows® Whistler Advanced Server or Windows® Whistler DataCenter Server

Windows logo requirements: B2.5.1.7, "Correct PCI implementations" specifically "Adapters address full physical address space on a 64-bit platform".

Related links

Running the Large Memory/PAE - System Reset test


PCI 2.2 Compliance test

This test examines each PCI device in the system, and verifies compliance to the PCI 2.2 specification.

Run time: 5 minutes

Log file name: pcitest.log

Operating system: Windows® XP Professional

Test assertion: Chapter 4

Related links

Running the PCI 2.2 Compliance test


PCI Latency test

This test examines device/driver combinations for compliance with the PCI Local Bus Specification revision 2.2.

Important: You must run the PCI Latency test last, after running all other system or device tests. The Foxfire card must be installed before any testing has begun, otherwise all associated test results are invalid and need to be repeated after installation of the FoxFire II PCI adaptor.

Run time: Approximately 5 seconds

Log file name: Latcheck.log

Operating system: Windows® XP Professional

Test assertion: Chapter 4

Additional hardware requirement

One FoxFire II PCI adapter

Related links


PCI tests

The following list is a summary of tests available for PCI-capable systems and devices, and can be run in any order. Your system or device may not require all of these tests. Run only the PCI tests that are listed in Test Manager for your test system or device.

Test Manager automatically detects if the system is using a 32-bit or 64-bit platform and lists required tests.

Important: You must run the PCI Latency test last, after running all other system or device tests.

Although the Large Memory tests can be run at any stage of a testing sequence, these three tests should be run consecutively, with the Large Memory/PAE - System Reset test run last.

  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset
  • PCI 2.2 Compliance
  • PCI Latency
  • S3 Compliance


Running the 1394 Asynchronous and Isochronous Loopback test

To configure the test system

  1. Install the Windows® XP Professional operating system from the product CD.
  2. Install two identical IEEE 1394 controllers.
  3. Connect the two IEEE 1394 controllers with the IEEE 1394 cable
  4. Install the FoxFire II PCI adapter.
  5. Install the Windows XP HCT 10.0.

To run the 1394 Asynchronous and Isochronous Loopback test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Asynchronous and Isochronous Loopback, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the 1394 Configuration ROM test

To configure the test system

  1. Install the Windows® XP Professional operating system from the product CD.
  2. Install the IEEE 1394 controller.
  3. Install the FoxFire II PCI adapter.
  4. Connect the first additional IEEE 1394 device to the system using the IEEE 1394 cable.
  5. Connect the second additional IEEE 1394 device to the system using another IEEE 1394 cable.
  6. Install the Windows XP HCT 10.0.

To run the 1394 Configuration ROM test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Configuration ROM, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the 1394 Interoperability test

To configure the test system

  1. Install the Windows® XP Professional operating system from the product CD.
  2. Install the IEEE 1394 controller.
  3. Install the FoxFire II PCI adapter.
  4. Connect the IEEE 1394 digital camera to the system using the IEEE 1394 cable.
  5. Connect the IEEE 1394 hard drive to the system using another IEEE 1394 cable.

Important: For mobile system testing, use a powered IEEE 1394 repeater to connect the IEEE 1394 devices to the mobile system.

  6. Install the Windows XP HCT 10.0.

To run the 1394 Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the CardBus Bridge Power Management Register test

To run the CardBus Bridge Power Management Register test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CardBus Bridge Power Management Register, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the CardBus Bridge Register test

To run the CardBus Bridge Register test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CardBus Bridge Register, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the CardBus Card Common Silicon Guidelines test

To run the CardBus Card Silicon Guidelines test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CardBus Card Silicon Guidelines, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the CardBus Card Configuration Space Register test

To run the CardBus Card Configuration Space Register test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CardBus Card Configuration Space Register, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the LAN Device Wake Up test

To run the LAN Device Wake Up test

  1. Start Test Manager on the Remote Test Host.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Wake Device Server, and then click Add Selection.
  3. Click Start Tests.
  4. Start Test Manager on the test system.
  5. At the Test Manager window in the Available Tests for Selected Test Category pane, select LAN Device Wake Up, and then click Add Selection.
  6. In the Selected Tests pane, double click LAN Device Wake Up Test.
  7. In the Edit Test Parameters dialog box, click Enter server name here, and then enter the network name of the Remote Test Host, and then click OK.
  8. Click Start Tests.
  9. Follow the instructions displayed to create the correct device topology and run the test.
  10. When the test is completed, view and copy test log files.
  11. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Large Memory/PAE - Phase 1 test

To run the Large Memory/PAE - Phase 1 test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Large Memory/PAE - Phase 1, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

Related links


Running the Large Memory/PAE - Phase 2 test

To run the Large Memory/PAE - Phase 2 test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Large Memory/PAE - Phase 2, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

Related links

Running the Large Memory/PAE - System Reset test


Running the Large Memory/PAE - System Reset test

To run the Large Memory/PAE - System Reset test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Large Memory/PAE - System Reset, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the PCI 2.2 Compliance test

To run the PCI 2.2 Compliance test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select PCI 2.2 Compliance, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the PCI Latency test

To configure the test system

  1. Turn off the test system and disconnect it from the electrical socket.

CAUTION: Installing a PCI card on the bus while a system is turned on might damage the PCI card or the system. ACPI systems are on even when they appear to be off.

  2. Install one FoxFire II PCI adapter on PCI bus 0. If no PCI slots are implemented on bus 0, use the first PCI slot implemented.

Important: If you do not install the FoxFire II PCI adapter on bus 0, the PCI Latency test will not detect device failures on bus 0.

To run the PCI Latency Test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the S3 Compliance test

To configure the test system

  1. Turn off the test system and disconnect it from the electrical outlet.

CAUTION: Installing a PCI card on the bus while a system is turned on might damage the PCI card or the system. ACPI systems are on even when they appear to be off.

  2. Install one FoxFire II PCI adapter on PCI bus 0.

Important: If you do not install the FoxFire II PCI adapter on bus 0, the PCI Latency test will not detect device failures on bus 0.

  3. Install the test device in the test system.

To run the S3 Compliance test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select S3 Compliance, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

Related links

FoxFire II PCI adapter


Running the USB 1.1 Specification Compliance test

To run the USB 1.1 Specification Compliance test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB 1.1 Specification Compliance, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Address Description test

To run the USB Address Description test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Address Description, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Device Control Requests test

To run the USB Device Control Requests test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Control Requests, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Device Framework test

To configure the test system

  1. Install the Windows XP operating system on the test system.
  2. Connect an upstream USB hub between the system and the USB test device.

Note: Do not connect the USB test device directly to the system root hub.

  3. Install the Windows XP HCT 10.0 on the test system.

To run the USB Device Framework test

  1. Verify that the USB test device is connected to the test system.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Framework, and then click Add Selection.
  4. Click Start Tests.
  5. Select the test device from the Device list.
  6. Click Full Test, and then click Start Automated Testing.
  7. Click Close when the testing is complete.
  8. View test log files.
  9. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Device Installation test

To run the USB Device Installation test

  1. Verify that the USB test device is not connected to the test system.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Installation, and then click Add Selection.
  4. Click Start Tests.
  5. Connect the test device to the test system when prompted by the instructions displayed.
  6. Follow the instructions displayed.
  7. When the test is completed, view test log files.
  8. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Device Wake Up test

To configure the test device to control standby mode

  1. From the Windows desktop, click Start, and then click Control Panel.
  2. In the Control Panel window, click Performance and Maintenance.
  3. In the Performance and Maintenance window, click System.
  4. In the System Properties dialog box, click the Hardware tab, and then click Device Manager.
  5. In the Device Manager window, select the test device you want to wake the system.
  6. On the Action menu, click Properties.
  7. In the Properties dialog box for the selected device, click the Power Management tab.
  8. Select the Allow this device to bring the computer out of standby check box, and click OK.
  9. Close all windows.

To run the USB Device Wake Up test

  1. Start Test Manager
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Wake Up, and then click Add Selection.
  3. Click Start Tests.
  4. The test will put the test system into a sleep state five times. Do the following for each iteration:
  1. In the Going to Sleep/Hibernate message box, click OK.

The test system will go into a sleep state.

  2. Press any key on the USB keyboard to wake the test system.
  5. When the test is completed, view and copy test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Enumeration Stress test

To run the USB Enumeration Stress test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Enumeration Stress, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB HIDView test

To run the USB HIDView test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB HIDView, and then click Add Selection.
  3. Click Start Tests.
  4. In the USB Compliance Tool window, on the HIDView tab, click Perform Tests.
  5. When the test is completed, click OK.
  6. View test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Host Controller Compliance test

To run the USB Host Controller Compliance test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Host Controller Version Compliance, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Hub Compliance test

To run the USB Hub test

  1. Verify that the test USB hub is connected to the test system.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Hub Compliance, and then click Add Selection.
  4. Click Start Tests.
  5. Click Full Test.
  6. Follow the instructions displayed to connect and disconnect the USB devices to the test USB hub.
  7. Click Close when the test is complete.
  8. When the test is completed, view test log files.
  9. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Isochronous Alternate Interface Presence test

To run the USB Isochronous Alternate Interface Presence test

  1. Verify that the test USB hub or test USB controller is connected to the test system.
  2. Verify that the isochronous device is connected to the test USB hub or test USB controller.
  3. Start Test Manager.
  4. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Isochronous Alternate Interface Presence, and then click Add Selection.
  5. Click Start Tests.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Manual Interoperability test

To run the USB Manual Interoperability test

  1. If the test device is a USB hub, remove it from the test system by disconnecting the USB cable to the USB hub before running the test.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Manual Interoperability, and then click Add Selection.
  4. Click Start Tests.
  5. Follow the instructions displayed until the test is completed.

You are required to build a tree with the test device or test hub, additional USB hubs, printer, mouse, joystick, keyboard, camera, and speaker set on the system.

Note: A delay may occur while the test is verifying the connected USB devices. Please be patient and do not restart the test unnecessarily.

  6. When prompted, move the test device or test hub back into its original position, and remove the additional USB hubs, printer, mouse, joystick, keyboard, camera and speaker set.
  7. When the test is completed, view test log files.
  8. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Port Reporting test

Important: This test is not available in the Windows® XP HCT 10.0 for 64-bit platforms.

To run the USB Port Reporting test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Port Reporting and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to connect a USB device to every available port on the test device.

Tip: Be sure to allow approximately 15 seconds for the operating system to fully enumerate all attached USB devices and the test device after re-connection to the system.

  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Selective Suspend test

To run the USB Selective Suspend test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Selective Suspend, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Self-Powered Hub test

To run the USB Self-Powered Hub test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Self-Powered Hub, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to select the USB test hub.
  5. When prompted, connect a USB device to each available port on the test USB hub.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB Serial Number test

To run the USB Serial Number test

  1. Verify that only one test device is installed on the test system.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Serial Number, and then click Add Selection.
  4. Click Start Tests.
  5. Follow the instructions displayed to connect a second identical test device on the test system to verify device identification (PID) and vendor identification (VID).

If the test device is a keyboard-video-mouse switch, connect a second identical keyboard and a second identical input pointing and drawing device on the test system.

  6. When the test is completed, in the Test Results window, click OK.
  7. Remove the second identical test device from the test system.
  8. Close the test window.
  9. View test log files.
  10. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the USB System Port Presence test

To run the USB System Port Presence test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB System Port Presence, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to connect a USB device to each available port on the test device, and then remove each USB device.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


S3 Compliance test

This test examines the PCI power management interface assertions required to implement PCI-based, power-managed systems and device functions. Specifically the S3 compliance test verifies that the PCI device being tested can be placed in an S3 state, and that it responds to an S3 command (awake from sleep state). In addition the test verifies that the auxiliary voltage (Vaux) of the device while in the S3 state is within criteria as set forth in the PCI specification.

Important: The Foxfire card must be installed before any testing has begun, otherwise all associated test results are invalid and need to be repeated after installation of the FoxFire II PCI adaptor.

Run time: 5 minutes

Log file name: S3test.log

Operating system: Windows® XP Professional

Test assertion: Chapter 4

Additional hardware requirement

One FoxFire II PCI adapter

Related links


USB 1.1 Specification Compliance test

This test verifies that all devices and hubs attached to a system comply with the Universal Serial Bus (USB) Specification 1.1.

The target device or hub is queried to determine which level of the USB specification is supported.

Run time: 3 minutes

Log file name: Usb1_1ct.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Related links

Running the USB 1.1 Specification Compliance test


USB Address Description test

This test verifies that devices can respond correctly to their assigned address and that they do not respond to any other address.

A Universal Serial Bus (USB) device must respond correctly to all possible USB device addresses 0 through 127.

Run time: 10 minutes

Log file name: Usbhct_a.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Related links

Running the USB Address Description test


USB Device Control Requests test

Universal Serial Bus (USB) devices must respond correctly to all USB control requests after they have been reset in the USB environment. The control requests that must be supported are detailed in Chapter 9 of the USB 1.1 Specification.

The USB Control Transfer test verifies that devices respond appropriately to USB control requests at different addresses and at different times following a port reset.

This test covers only USB peripheral devices and hubs.

Run time: 7 minutes

Log file name: Usbhct_c.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Related links

Running the USB Device Control Requests test


USB Device Framework test

This test verifies that the test device complies with Chapter 9 of the USB 1.1 specification.

More specifically, the test verifies that the test device responds correctly to device, configuration, and interface descriptor requests.

Run time: 5 minutes

Log file name: Complete.log

Operating system: Windows® XP Professional

Windows logo requirement: B2.6.3.1, "All USB hardware complies with USB 1.1 and passes USB Chapter 9 and Chapter 11 tests"

Related links

Running the USB Device Framework test


USB Device Installation test

This test verifies the proper installation of Universal Serial Bus (USB) devices on the system. When a USB device is first inserted into the system, it must automatically prompt for, and allow the installation of any required software that is not provided by the operating system.

The test also verifies that the test device does not require a system restart after installation.

Run time: 5 minutes

Log file name: USBdit.log

Operating system: Windows® XP Professional

Test assertion: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Related links

Running the USB Device Installation test


USB Device Wake Up test

The USB device wake up test verifies that the test system and USB host controller support the wake up command while the test system is in the S1, S2, or S3 state.

Run time: 10 minutes

Log file name: wakedevs.log (wakesrv.log for the server version of this test)

Operating system: Windows XP Professional

Test assertion: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Additional hardware requirement

Install one logo'd USB keyboard device capable of generating a remote wake up event.

Related links

Running the USB Device Wake Up test


USB Enumeration Stress test

This test verifies the proper functionality of a Universal Serial Bus (USB) device when it is initially attached to a USB port.

To provide proper enumeration in the Windows® operating system environment, a device must consistently provide valid information on its control pipe and properly respond to all standard device requests. This test repeats the Windows XP enumeration process to ensure that devices will enumerate reliably in real-world scenarios.

Run time: 10 minutes

Log file name: Usbhct_e.log

Operating system: Windows XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Related links

Running the USB Enumeration Stress test


USB HIDView test

This test validates that Human Input Devices (HID) are compliant with the HID specification.

Note: This test is required for USB-capable HID devices.

Run time: 5 minutes

Log file name: Hidview.log

Operating system: Windows® XP Professional

Windows logo requirement: B2.6.4.5, "Devices meet requirements in related USB device class specifications"

Related links

Running the USB HIDView test


USB Host Controller Compliance test

This test checks for one or more valid Universal Host Controller Interface (UHCI), OpenHCI, or EHCI host controllers in the system.

The test validates compliance with this requirement by verifying active Registry entries for each host controller and obtaining basic information about the host controllers through the Universal Serial Bus (USB) software stack.

Run time: 5 minutes

Log file name: Usbhcvct.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Related links

Running the USB Host Controller Compliance test


USB Hub Compliance test

This test verifies that the Universal Serial Bus (USB) hub complies with Chapter 11 of the USB 1.1 specification.

More specifically, the test verifies that the hub responds correctly to hub descriptor and remote wake requests.

Run time: 10 minutes

Log file name: Chap11.log

Operating system: Windows® XP Professional

Windows logo requirement: B2.6.3.1, "All USB hardware complies with USB 1.1 and passes USB Chapter 9 and Chapter 11 tests"

Additional hardware requirements

USB devices

The number of required USB devices varies. Connect a USB device to every available port on the test USB hub.

Important: USB devices must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links

Running the USB Hub Compliance test


USB Isochronous Alternate Interface Presence test

This test verifies that when any device has an interface that consumes isochronous bandwidth, that device supports multiple alternate settings for that interface, and that alternate setting 0 does not consume isochronous bandwidth.

The requirement for alternate setting zero can be provided by an interface that has no endpoints, an interface with isochronous endpoints that don’t carry a payload, or an alternate interface that has non-isochronous endpoints.

The test searches for these capabilities by recursively examining the configurations, interfaces, and endpoints that a device supports.

Run time: 5 minutes

Log file name: Usbiaipt.log

Operating system: Windows® XP Professional

Windows logo requirement: B2.6.4.4, "Devices and drivers support maximum flexibility of hardware interface options"

Additional hardware requirement

One isochronous device, for example, a USB camera or USB speaker set

Related links

Running the USB Isochronous Alternate Interface Presence test


USB Manual Interoperability test

This test verifies that the Universal Serial Bus (USB) test device or test system operates properly with a series of USB devices attached.

A specified device tree is created on the test system, and the devices are used while the test tool validates the device driver behavior and data sent to each device on the system to ensure that data transfers are performed without error.

The goal is to ensure that the system or device does not negatively impact the standard operation of USB.

The test fails if any of the devices on the system fail to operate properly during normal device operation

Run time: 30 minutes

Log file name: Usbmanop.log

Operating system: Windows® XP Professional

Windows logo requirement: B1.4.3, "Installing and loading the driver does not reduce or eliminate functionality of other devices installed on the system"

Additional hardware requirements

You can substitute a different device in place of a recommended device. However, the substituted device must be included on the Windows Hardware Compatibility List (HCL) and be the same class and transfer type as the recommended device.

  • Three 4-Port USB hubs for use as self-powered hubs
  • One Hewlett Packard HP Deskjet 895Cse printer or Hewlett Packard HP ScanJet 6300C scanner
  • One Microsoft Natural USB Keyboard Pro or Microsoft Internet Keyboard Pro
  • One Microsoft Dual Strike Sidewinder joystick
  • One Logitech USB Wheel Mouse or Microsoft USB Wheel Mouse
  • One Philips Vesta series PC camera or Intel PC Camera Pack USB
  • One Altec Lansing USB ADA70 speaker set

Related links

Running the USB Manual Interoperability test


USB Port Reporting test

Important: This test is not available in the Windows® XP HCT 10.0 for 64-bit platforms.

This test verifies that the test Universal Serial Bus (USB) system or USB hub reports the correct number of USB ports.

The number of ports in the USB hub descriptor must correspond to the number of ports physically available to an internal/compound device, or accessible to a user’s device.

For compound devices, the test also verifies that the DeviceRemovable field in the USB hub description correctly marks the embedded devices as unremovable.

Run time: 5 minutes

Log file name: Usbport.log

Operating system: Windows® XP Professional

Test assertion: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Additional hardware requirements

USB devices

The number of required USB devices varies. Attach a USB device to every available port on the test device.

Important: USB devices must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links

Running the USB Port Reporting test


USB Selective Suspend test

The Microsoft® Windows® XP operating system now supports the selective suspend abilities of Universal Serial Bus (USB). This feature allows a device’s port to be suspended when the device is not in use in order to conserve power.

To properly support this new feature, a device must maintain its internal state when the upstream port has been suspended, and be able to function correctly when the upstream port is resumed.

This test verifies that a device responds appropriately to its control pipe at its currently assigned device address following the suspend/resume cycle of a port.

Run time: 10 minutes

Log file name: Usbhct_s.log

Operating system: Windows XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Additional hardware requirements

4-Port USB hub for use as a self-powered hub. This hub must comply with the Universal Serial Bus Specification, Revision 1.1.

If the test device is a USB hub, then an additional hub is not needed.

Important: USB devices must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links

Running the USB Selective Suspend test


USB Self-Powered Hub test

This test verifies that all Universal Serial Bus (USB) hubs properly report as self-powered.

Run time: 5 minutes

Log file name: Usbspht.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Additional hardware requirements

USB devices

The number of required USB devices varies. Connect a USB device to every available port on the test USB hub.

Important: USB devices must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links

Running the USB Self-Powered Hub test


USB Serial Number test

This test verifies that the serial number on the test device is unique. USB device serial numbers are optional, but are required to be unique if implemented.

Run time: 5 minutes

Log file name: Zorak.log

Operating system: Windows XP Professional

Windows logo requirement: B2.6.3.1, "All USB hardware complies with USB 1.1 and passes USB Chapter 9 and Chapter 11 tests"

Additional hardware requirements

Two identical test devices

Keyboard-video-mouse switch testing requires one test device, two identical keyboards, and two identical input pointing and drawing devices.

Related links

Running the USB Serial Number test


USB System Port Presence test

This test determines whether a system contains one or more Universal Serial Bus (USB) root hubs or standard hubs. The system must contain at least one USB root hub and a total of two USB ports besides those used for a USB pointing device and/or USB keyboard.

The test queries the system for USB root hubs through the USB software stack. The query determines whether there are at least two ports in the system besides the keyboard and/or pointing device ports and that they conform to the Windows Logo Program basic requirements. For mobile systems, one port is required.

Run time: 5 minutes

Log file name: Usbsppt.log

Operating system: Windows® XP Professional

Test assertion: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

Additional hardware requirements

  • USB devices

The number of required USB devices varies. Attach a USB device to every available port on the test device.

Important: USB devices must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links

Running the USB System Port Presence test


USB tests

The following list is a summary of tests available for USB-capable systems and devices, and can be run in any order. Your system or device may not require all of these tests. Run only the USB tests that are listed in Test Manager for your test system or device.

Note: Test Manager automatically detects if the system is using a 32-bit or 64-bit platform and lists required tests.

  • LAN Device Wake Up
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Device Framework
  • USB Device Installation
  • USB Device Wake Up
  • USB Enumeration Stress
  • USB HIDView
  • USB Host Controller Compliance
  • USB Hub Compliance
  • USB Isochronous Alternate Interface Presence
  • USB Manual Interoperability test
  • USB Port Reporting
  • USB Selective Suspend
  • USB Self-Powered Hub
  • USB Serial Number
  • USB System Port Presence


ACPI Stress - Device I/O (Extended) test

This test examines the devices in the system, and then puts the system into a sleep/hibernation state. When the system returns from sleep/hibernation, the test verifies that the devices function properly after sleep/hibernation. This test examines all sleep/hibernation states that the system supports.

An ACPI system must support one of the following states: S1, S2, or S3. Support of S4 or S4BIOS is optional. For devices, support of S1, S2, S3, and S4 states is required.

The ACPI Stress Extended Device I/O test runs through 50 iterations of testing the system I/O and sleep/hibernation, and 10 iterations of testing for device I/O and sleep/hibernation.

ACPI supports a Real Time Clock (RTC). For this test functionality, the clock is set to 60 seconds per state for systems testing, and 4 minutes for device testing. Systems that do not have RTC support for a hibernation state restart without the normal 60-second delay.

Run time: Maximum 48 hours, depending on the number of system states the test system supports. Typically 2 hours maximum for device testing.

Log file name: Pmte.log (for detailed troubleshooting information, refer to the log files displayed under Pmte.log in Test Manager Log Viewer)

Operating system: Windows® XP Professional

Test assertion: Chapter 3

Important: Test Manger is restarted after re-running the ACPI Stress - Device I/O (Extended) test, the test will generate a failure. The following error message displays, indicating that the sound_?_*.log has been modified:

"Changes in Log File(s) Detected"

This is an acceptable failure. When the error message displays, click Continue Submission to continue testing.

Additional hardware requirement

Install one serial loop back connector for each serial port on the test system (required only for systems testing)

Related links

Running the ACPI Stress - Device I/O (Extended) test


ChkINF test

This test uses a Perl script that checks the structure and syntax of Microsoft® Windows® XP device driver INF files. The ChkINF test has been enhanced to support additional device classes and to handle new platform extensions, INF sections, and directives.

Run time: 5 second

Log file name: Infcheck.log

Operating system: Windows XP Professional

Test assertion: Chapter 22: Driver Quality Test Specification

Related links

Running the ChkINF test


DirectMusic Driver test

This test validates the functionality of DirectMusic® synthesizers through the DirectMusic application programming interface (API). The DirectMusic Driver test also sends musical instrument digital interface (MIDI) and downloadable sound (DLS) data to the synthesizer being tested, verifies basic device capabilities, and validates property handling functionality.

Run time: 10 minutes

Log file name: Dmdrv.log

Operating system: Windows® XP Professional

Test assertion: Chapter 16: Audio Test Specification

Related links

Running the DirectMusic Driver test


DirectSound Driver test

This test verifies that the driver complies with the Microsoft® DirectSound® application programming interface/device driver interface as defined in the Microsoft DirectX® Software Development Kit (SKD).

Run time: 45 minutes

Log file name: Dsdrvtst.log

Operating system: Windows XP Professional

Test assertion: Chapter 16: Audio Test Specification.

Additional hardware requirement

One loop back cable with 1/8" male-to-male stereo plugs

Related links

Running the DirectSound Driver test


Display Data Channel test

This test queries the monitor extended display identification data (EDID) in order to verify support for display data channel standard, level 2B (DDC2B).

Run time: 1 minute or less

Log file name: Edidtest.log

Operating system: Windows® XP Professional

Windows logo requirement: B4.2.4.1 Color monitor is DDC2B-compliant and supports EDID 1.3 data structure

Related links

Running the Display Data Channel test


Driver Verifier test

This test examines only unsigned drivers that are designed for Windows® XP. It stresses device/driver combinations and tests the device's use of system resources, including the driver's memory paging behavior.

Important: Successful completion of this test may require an increase in system memory to a minimum of 256 MB of RAM.

The Driver Verifier test examines device/driver combinations using the following verification types:

  • Special Pool
  • Force IRQL Checking
  • Pool Tracking
  • I/O verification
  • Enhanced I/O Verification
  • Deadlock detection
  • DMA checking

For more information on Driver Verifier and the Driver Verifier verification types, see the latest version of the Windows 2000 DDK, section 5.1 "Driver Verifier:"

Run time:

If no unsigned drivers are found: 2 minutes

If unsigned drivers are found: approximately 4-5 hours for systems; approximately 45 minutes for Input and HID devices.

Log file name: Shrtver.log

Operating system: Windows XP Professional

Test assertion: Chapter 22

Related links

Running the Driver Verifier test


DVD Configuration test

This test verifies the DirectDraw®, DirectShow®, and DirectSound® capabilities of the system configuration.

Run time: 1 minute

Log file name: Whqlchk.log

Operating system: Windows® XP Professional

Windows logo requirement: B11.2.5.2, "DVD-Video navigation requirement [Logo Program Clarification]"

Related links

Running the DVD Configuration test


EDID 1.3 & DDC test

This test queries the monitor extended display identification data (EDID) in order to verify support for EDID 1.3 and display data channel standard, level 2B (DDC2B).

Log file name: Edidtestv2.log

Operating system: Windows® XP Professional

Windows logo requirement: B4.2.4.1 Color monitor is DDC2B-compliant and supports EDID 1.3 data structure

Related links

Running the EDID 1.3 & DDC test


Enable/Disable - Device I/O test

This test makes an inventory of all adapters in the test system and all devices attached to each controller (for example, all SCSI drives connected to a SCSI controller would be included in this inventory). The test disables, and then enables, the input and output from the devices attached to each controller.

For device testing, the Enable/Disable – Device I/O test targets only the device under test.

Run time: Approximately 5 minutes

Log file name: Nftest.log

Operating system: Windows® XP Professional

Windows logo requirement: WL - 6: A1.1.3, "All components correctly implement Plug and Play"

Additional hardware requirement

Insert one blank formatted 31/2" floppy disk in the floppy disk drive on the test system.

Related links

Running the Enable/Disable - Device I/O test


Image Color Management Profile test

The Image Color Management (ICM) Profile test verifies that the ICM profile of color-capable devices is a color profile of a valid format.

Important: Do not run this test if the test device is sRGB compatible and the default sRGB Color Space Profile.icm profile is used.

Run time: 30 seconds or less

Log file name: Profwiz.log

Operating system: Windows® XP Professional

Test assertion: Chapter 13: Digital Still Imaging and WIA Test Specification

Windows logo requirements: B1.3, "General Device/Driver - Quality"; and B9.1.4.2, "Device associates an ICC profile "

Related links

Running the Image Color Management Profile test


Image Download test

Important: This test is not available for cameras or scanners in the Windows® XP HCT 10.0.

This test verifies that each bus type has the minimum required pixels per second.

Run time: 5 minutes

Log file name: Thr_put.log

Operating system: Windows® XP Professional

Test assertions: Chapter 13: Digital Still Imaging and WIA Test Specification

Related links

Running the Image Download test


Public Import test

This test verifies that no application program interfaces (APIs) called by drivers are "off-limits." The test is part of the Signability requirements and is based on the driver class model.

The Public Import test scans all the files in the distribution media to determine those that are linked to ntoskrnl.exe and hal.dll. The import table of those binaries is checked against the Public Import test illegal list, which is derived by analyzing the import calls of all drivers logo’d for Windows® XP.

Run time: 5 minutes

Log file name: pit.log

Operating system: Windows XP Professional

Test assertion: Chapter 22

Related links

Running the Public Import test


Refresh Rate test

This test examines all of the supported modes in the monitor's extended display identification data (EDID) and verifies that the monitor can properly change to display in each mode.

Run time: 3-6 minutes depending on the number of supported refresh rates and modes

Log file name: Ratetest.log

Operating system: Windows® XP Professional

Windows log requirement: B4.2.4.4 CRT-based monitor supports ergonomic timing standards

Related links

Running the Refresh Rate test


Running the ACPI Stress - Device I/O (Extended) test

To configure the test system

Important: This configuration is required only for systems testing, and not for device testing.

  1. Insert a data CD in the CD-ROM drive of the test system.
  2. Connect a serial loop back connector to all serial ports on the test system.
  3. Connect the test system to a TCP/IP network with at least one other system on the network.

This TCP/IP network must have low traffic in order to not interfere with the test. All systems that are on the TCP/IP network when the test starts must remain on the network for the duration on the test.

Important: Avoid keyboard and mouse input while this test is running.

To run the ACPI Stress - Device I/O (Extended) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ACPI Stress -Device I/O (Extended), and then click Add Selection.
  3. For system or network testing, in the Selected Tests pane, double click ACPI Stress - Device I/O (Extended), and then do one of the following:
  • For Network Devices: In the Edit Test Parameters dialog box, click \\server_ip\share, and then enter the IP address of the test network adapter on the server, followed by the name of the shared directory, and then click OK.

For Example: If the test network adapter on the server has an IP address of 192.168.7.27, and a shared directory c:\shared, you would enter \\192.168.7.27\shared in the Edit Test Parameters dialog box.

  • For Systems: In the Edit Test Parameters dialog box, click \\server_ip\share, and then enter the name or IP address of the remote test host, followed by the name of the shared directory, and then click OK.

For Example: If the test server has an IP address of 192.168.7.27, and a shared directory c:\shared, you would enter \\192.168.7.27\shared in the Edit Test Parameters dialog box.

  4. Click Start Tests.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the ChkINF test

To run the ChkINF test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ChkINF, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the DirectMusic Driver test

To run the DirectMusic Driver test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DirectMusic Driver, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the DirectSound Driver test

To configure the test system

Connect the loop back cable to the test system using one of the following configurations. Any other connection setting can cause failures.

  • Configuration 1: If the test device has a microphone input, connect the loop back cable from the speaker (LineOut) to the microphone input.
  • Configuration 2: If the test device does not have a microphone input, connect the loopback cable from the speaker (LineOut) to LineIn.

To run the DirectSound Driver test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DirectSound Driver, and then click Add Selection.
  3. Click Start Test.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Display Data Channel test

To run the Display Data Channel test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Display Data Channel, and then click Add Selection.
  3. Click Start Tests.
  4. At the Monitor Information dialog box, enter the following information:
  • monitor size
  • monitor type
  • connector type
  5. Click OK.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Driver Verifier test

Important: For Keyboard testing, see To run the Driver Verifier test for keyboards.

To run the Driver Verifier test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier, and then click Add Selection.
  • Do the following for Anti-Virus/File System Filter testing only:
  1. Click on the + sign to the left of Driver Verifier in the Available Tests for Selected Test Category pane to expand the preset test parameters.
  2. Right-click Driver Verifier Switches and select Edit Parameters.
  3. In the Edit Test Parameters dialog box, click \\server_ip\share, and then enter the IP address of the server, followed by the name of the shared directory, and then click OK.

For Example: If the IP address of the server is 192.168.7.27, and the shared directory is c:\shared, you would enter \\192.168.7.27\shared in the Edit Test Parameters dialog box.

  3. Click Start Tests.

When the test is completed, the system will restart twice.

  4. If prompted, in the Log on to Windows dialog box, type the user name, password, and domain, and then click OK.
  5. Start Test Manager and then view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

To run the Driver Verifier test for keyboards

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey One-Key Combination, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Install Driver.
  5. Follow the instructions displayed to install the Winkey diagnostic driver.
  6. When the installation is complete, restart the test system.
  7. Restart Test Manager.
  8. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier, and then click Add Selection.
  9. Click Start Tests.

The system will restart.

  10. In the Winkey Keyboard Test window, click Keyboard.
  11. In the WHQL Winkey Keyboard Test window, a diagram of the test keyboard is displays. If the test keyboard does not support all keys displayed in the diagram, remove the unsupported key(s) from the test run by clicking the corresponding key(s) on the diagram. The key(s) on the diagram change color from gray to brown when removed from the test run.

Tip: To add a key back in the test run, click the key on the diagram again. The key on the diagram changes color from brown to gray when the key is added back in the test run.

  12. Follow the directions displayed in the lower pane of the Winkey Keyboard Test window to press the required keys until the test is completed. The required keys are blue to indicate the key to press on the test keyboard. When the correct key is pressed on the test keyboard, the key on the diagram changes color from blue to green.

Tip: To restart a test and delete the test log, in the Winkey Keyboard Test window, click Clear. Follow the instructions displayed.

  13. After all required keys are pressed, click OK on the button in the dialog box that indicates that the test passed.

If the test keyboard is USB-capable, it may be necessary to unplug it from the system and then plug it back into the system to conclude the test.

  14. Click Exit.

The system will restart two times. When the Driver Verifier test finishes all initialization processes, Test Manager starts, and the Test Log window displays.

  15. View test log files.
  16. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey One-Key Combination, and then click Add Selection.
  17. Click Start Tests.
  18. In the Winkey Keyboard Test window, click Uninstall Driver.

Important: It is necessary to uninstall the Winkey diagnostic driver. False failures will result if the Winkey diagnostic driver is not uninstalled before other running tests.

  19. Follow the instructions displayed to uninstall the Winkey diagnostic driver.
  20. When the uninstall is complete, restart the system.


Running the DVD Configuration test

To run the DVD Configuration test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DVD Configuration, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the EDID 1.3 & DDC test

To run the EDID 1.3 & DDC test

Important: Do not use a switchbox when running this test unless it is display data channel (DDC) compliant.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select EDID 1.3 & DDC test, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Enable/Disable - Device I/O test

To run the Enable/Disable - Device I/O test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Image Color Management Profile test

Both CMYK and RGB type profiles will work on Windows® XP with postscript, and therefore require a profile for Windows XP.

To run the Image Color Management Profile test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Image Color Management Profile, and then click Add Selection.
  3. Click Start Tests.
  4. From the Profile Validation wizard, select the color profile to be tested in the What type of profile will be examined? list box, and click Next.

Tip: If more than one color profile is to be tested, click Back in the Profile Validation wizard, and select the next profile.

  5. Browse to select the ICM profile.

  6. If your test device does not have a color profile, click Browse to choose one from the default directory, and then click Next.
  7. The profile is tested and the status is displayed. If no problems exist, the message "Profile format is valid" is displayed; otherwise, all problems will be listed. After reviewing the status, click Close.
  8. When the test is completed, view test log files.
  9. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Image Download test

Important: This test is not available for cameras or scanners in the Windows® XP HCT 10.0.

To run the Image Download test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Image Download, and then click Add Selection.
  3. Click Start Tests.
  4. From the Image Download Test dialog box, enter the bus type for the test device and click GO.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Public Import test

To run the Public Import test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Refresh Rate test

To run the Refresh Rate test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Refresh Rate, and then click Add Selection.
  3. Click Start Tests.

The AutoRate window is displayed for each display mode supported by the monitor.

  4. Click Record within 10 seconds of being prompted to proceed to the next display mode tested.

CAUTION: You must click the Record button within 10 seconds after being prompted to indicate the resolution was viewable, otherwise a failing log will be generated for that display mode.

  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Signability test

To run the Signability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to provide the path to your driver(s) as it appears on the distribution media.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Surprise Removal test

Important: For Network device testing, see To run the Surprise Removal test for Network Devices.

To run the Surprise Removal test

  1. Start Test Manageron the test system.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Surprise Removal Test, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

To run the Surprise Removal test for Network Devices

Note: Network device testing requires two systems, a client (test) system and a server system (also known as a Remote Test Host).

  1. Start Test Manager on the server systemon the test system.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Surprise Removal Test, and then click Add Selection.
  3. Start Test Manager on the client systemon the test system.
  4. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Surprise Removal Test, and then click Add Selection.
  5. In the Selected Tests pane, Click the + sign to the left of Surprise Removal to expand the preset test parameters.
  6. Double-click Device Parameters. Click Parameter 2, and enter the appropriate server IP address (example 192.0.0.1), share point (example \\192.0.0.1\my documents), and a file name.

Note: the file chosen in step 6 doesn’t need to be created prior to running the test. During the initial test run the file is created with the name selected in step 6.

  7. Click OK
  8. Click Start Tests.
  9. When the test is completed, view test log files.
  10. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the TWAIN Compliance test

To run the TWAIN Compliance test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select TWAIN Compliance, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Windows Image Acquisition Minidriver test

To run the WIA Compliance test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Windows Image Acquisition Minidriver, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Signability test

This test examines the test device driver for compatibility with the Microsoft® digital signature process.

The purpose of the Signability test is to check .INF files for errors that will prevent the operating system from recognizing the driver as digitally signed by Microsoft.

The Signability test is required for devices using manufacturer-supplied drivers only. To run the Signability test, the driver files must be available in their uninstalled format (for example, files on the source media).

Run time: Up to 10 minutes, depending on driver complexity

Log file name: Infcatr.log

Operating system: Windows XP Professional

Test assertion: Chapter 22: Driver Quality Test Specification

Related links

Running the Signability test


Surprise Removal test

IEEE 1394, USB, and CardBus devices support device removal from, and reattachment to, the test system. This test examines the response of the device driver to a simulated removal and reattachment of a device.

Run time: 5 minutes

Log file name: Nftest.log

Operating system: Windows® XP Professional

Test assertion: Chapter 22: Driver Quality Test Specification

Related links

Running the Surprise Removal test


TWAIN Compliance test

This test verifies that the data source is compliant with the TWAIN 1.7 specification. This test is required if the test device supports TWAIN.

Important: Do not run this test on video cameras or on unteathered digital cameras that do not support TWAIN.

Run time: 2 minutes

Log file name: Twaintst.log

Operating system: Windows® XP Professional

Windows logo requirements: B9.1.1.1, "Still image driver support"

Related links

Running the TWAIN Compliance test


Windows Image Acquisition Minidriver test

The Windows® Image Acquisition (WIA) Minidriver test checks the properties and transfer mechanisms of a scanner driver.

Run time: 10 minutes

Log file name: Wiatest.log

Operating system: Windows XP Professional

Test assertions: Chapter 13: Digital Still Imaging and WIA Test Specification

Related links

Running the Windows Image Acquisition Minidriver test